#lang syndicate
;;; SPDX-License-Identifier: LGPL-3.0-or-later
;;; SPDX-FileCopyrightText: Copyright © 2021-2024 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

(require syndicate/drivers/timer)

(module+ main
  (standard-actor-system (ds)
    (at ds
      (log-info "waiting...")
      (on (timeout 1)
        (log-info "still waiting..."))
      (stop-on (timeout 2)
        (log-info "done!")))))
