;;; SPDX-License-Identifier: LGPL-3.0-or-later
;;; SPDX-FileCopyrightText: Copyright © 2018-2024 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

#lang racket
(module+ main
  (require racket/logging)
  (with-logging-to-port (current-error-port)
    (lambda ()
      (dynamic-require '(submod syndicate/distributed/tcp main) #f))
    'debug 'syndicate/relay
    ))
