#lang syndicate
;;; SPDX-License-Identifier: LGPL-3.0-or-later
;;; SPDX-FileCopyrightText: Copyright © 2022-2024 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

(module+ test
  (standard-actor-system (ds)
    ;; The goal of this test is to make sure redundant Observe
    ;; assertions aren't wrongly repeatedly entered into the index.
    ;; The Rust implementation suffered from this problem for a while.
    (spawn
      #:daemon? #t
      (at ds (during $x
               (log-info "Saw: ~v" x)
               (assert x))))))
