#lang syndicate
;;; SPDX-License-Identifier: LGPL-3.0-or-later
;;; SPDX-FileCopyrightText: Copyright © 2021-2024 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

(module+ main
  (standard-actor-system (ds)
    (spawn
      (at ds (assert 'here))
      (log-info "waiting...")
      (after-seconds 1
        (log-info "still waiting..."))
      (after-seconds 2
        (log-info "done!")
        (stop-current-facet)))
    (spawn
      (at ds
        (stop-on (retracted 'here))
        (during 'here
          (every-seconds 0.2
            (log-info "(still here)")))))))
